Subject: RE: Case sensitivity in filenames
From: [email-masked] (Bernard Dautrevaux)

6 Jan 1999 10:29:41 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 8bit
To: "'Scandora, Anthony E., Jr.'" <[email-masked]>,
        "'GNU-Win32'"
	 <[email-masked]>

> -----Message d'origine-----
> De:	Scandora, Anthony E., Jr. [SMTP:[email-masked]]
> Date:	Tuesday, January 05, 1999 16:56
> À:	'GNU-Win32'
> Objet:	Re: Case sensitivity in filenames
> 
> > -----Original Message-----
> > From: Geoffrey Noer [mailto:[email-masked]] 
> > Sent: Tuesday, January 05, 1999 12:21 AM
> > To: Moore, Paul
> > Cc: 'Larry Hall'; 'Gnu Win32'
> > Subject: Re: Case sensitivity in filenames
> ....
> > 
> > Could you explain at greater length what you want Cygwin to do
> > w.r.t. case insensitivity?
> ....
> > 
> > Any comments?  Are you arguing for Cygwin being case preserving but
> > case insensitive?  More, less?
> 
> That would be perfect; no more, no less.  That's how the Win32
> filesystem is
> used by Win32 programs, and what most Win32 users have learned to
> expect.
> 
> I think it's important for Cygwin or any other emulator to balance
> emulating
> the non-Win32 environment with usability on Win32.  If I could use
> UNIX, $50
> would get me better support for Linux than much more money gets me
> from
> Microsoft.  However, I have to use Win32, which lacks many necessary
> shell
> utilities.  I use Cygwin for those shell utilities so I can work
> productively in my Win32 environment.
> 
> 
I fully agree; a lot of people need to WORK on Windows, and need
powerfull tools that often comes from UNIX; helping to port those on
Windows, as I think is the objective of CygWin, needs to be (to
paraphrase Stroustrup when describing the rationale for C++ design
decision) as close as possible to UNIX, but not more. 

Letting CygWin think that NTFS is case-sensitive is to be too close to
UNIX, as this is a false assumption. Its a lot better to have CygWin be
case-preserving but case insensitive as soon as a filename is concerned.

HOWEVER, I agree this can cause some headaches: in some cases it's not
evident to decide if a regular expression is meant to be applied to
filenames or other names (by the way if these are words or names, and
not C-variable-names, case insensitivity is probably better); anyway
Windows users are used to this (as UNIX are to avoid in a lot of cases
the usual capitalization of names, as UNIX is case sensitive, so the
numerous UNIX folks that forgot that a person name should be
capitalized...)

We can live, with some hassle, with the current CygWin behaviour, but
case-preserving/case-insensitive seems a lot better in the Windows world
(and, for once, even in the real world... Hopefully you can spell my
name with any mix of upper and lower case letters, I usually understand
you are talking to me, even if I may make some time do decipher
bErNaRd...)

Hope this helps

		Bernard

P.S.: Don't miss my point: I'm in no way saying that Windows is right
because it's Windows... (I usually start thinking that if Windows does
something one way there certainly be some simpler, moser sensible way to
do things). but in this case Windows is closer to common usage, and such
quite acceptable.

------------------------------------------------------------------------
------
Bernard Dautrevaux
Microprocess Ingéniérie
97 bis, rue de Colombes
92400 COURBEVOIE
FRANCE
Tel:	+33 (0) 1 47 68 80 80
Fax:	+33 (0) 1 47 88 97 85
e-mail:	[email-masked]
	[email-masked]
------------------------------------------------------------------------
------

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".